import turtle as t
import serial

s = serial.Serial("com11",baudrate = 9600, timeout= 0.01)

w = t.Screen()
w.bgcolor("black")
t1 = t.Turtle()
t1.speed(0)
t1.color("white")
t1.pu()
t1.goto(-300,200)
t1.pd()
t1.fd(600)
t1.rt(90)
t1.fd(100)
t1.rt(90)
t1.fd(600)
t1.rt(90)
t1.fd(100)

a = t.Turtle()
b = t.Turtle()
c = t.Turtle()
d = t.Turtle()
e = t.Turtle()
f = t.Turtle()
g = t.Turtle()

b.rt(90)
c.rt(90)
e.rt(90)
f.rt(90)

def seg(pos,color,tur):
    tur.speed(0)
    tur.pu()
    tur.goto(pos)
    tur.pd()
    tur.pensize(3)
    tur.color(color)
    tur.fd(100)
    tur.hideturtle()

def draw(x,y):
    print(x,y)
    if(-300 < x < -240 and 100 < y < 200): #0
        s.write(b'0')
        seg((-50,0),"red",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"red",e)
        seg((-55,-5),"red",f)
        seg((-50,-110),"black",g)
    elif(-240 < x < -180 and 100 < y < 200): # 1
        s.write(b'1')
        seg((-50,0),"black",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"black",d)
        seg((-55,-115),"black",e)
        seg((-55,-5),"black",f)
        seg((-50,-110),"black",g)
    elif(-180 < x <-120 and 100 < y < 200): #2
        s.write(b'2')
        seg((-50,0),"red",a)
        seg((55,-5),"red",b)
        seg((55,-115),"black",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"red",e)
        seg((-55,-5),"black",f)
        seg((-50,-110),"red",g)
    elif(-120 < x <-60 and 100 < y < 200): #3
        s.write(b'3')
        seg((-50,0),"red",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"black",e)
        seg((-55,-5),"black",f)
        seg((-50,-110),"red",g)
    elif(-60 < x <0 and 100 < y < 200): #4
        s.write(b'4')
        seg((-50,0),"black",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"black",d)
        seg((-55,-115),"black",e)
        seg((-55,-5),"red",f)
        seg((-50,-110),"red",g)
    elif(0 < x <60 and 100 < y < 200): #5
        s.write(b'5')
        seg((-50,0),"red",a)
        seg((55,-5),"black",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"black",e)
        seg((-55,-5),"red",f)
        seg((-50,-110),"red",g)
    elif(60 < x <120 and 100 < y < 200): #6
        s.write(b'6')
        seg((-50,0),"red",a)
        seg((55,-5),"black",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"red",e)
        seg((-55,-5),"red",f)
        seg((-50,-110),"red",g)
    elif(120 < x <180 and 100 < y < 200): #7
        s.write(b'7')
        seg((-50,0),"red",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"black",d)
        seg((-55,-115),"black",e)
        seg((-55,-5),"black",f)
        seg((-50,-110),"black",g)
    elif(180 < x <240 and 100 < y < 200): #8
        s.write(b'8')
        seg((-50,0),"red",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"red",e)
        seg((-55,-5),"red",f)
        seg((-50,-110),"red",g)
    elif(240 < x <300 and 100 < y < 200): #9
        s.write(b'9')
        seg((-50,0),"red",a)
        seg((55,-5),"red",b)
        seg((55,-115),"red",c)
        seg((-50,-220),"red",d)
        seg((-55,-115),"black",e)
        seg((-55,-5),"red",f)
        seg((-50,-110),"red",g)   
        

for i in range(-240,300,60):
    t1.pu()
    t1.goto(i,200)
    t1.pd()
    t1.bk(100)

int_pos = -280
for i in range(0,10):
    t1.pu()
    t1.goto(int_pos,130)
    t1.pd()
    t1.write(i,font = ("Arial",44))
    int_pos = int_pos + 60

seg((-50,0),"red",a)
seg((55,-5),"red",b)
seg((55,-115),"red",c)
seg((-50,-220),"red",d)
seg((-55,-115),"red",e)
seg((-55,-5),"red",f)
seg((-50,-110),"red",g)

w.onscreenclick(draw)
